using System;

/// @author Antti-Jussi Lakanen
/// @version 2025
/// 
/// <summary>
/// Demo 7, tehtävä 1.
/// Ohjelmassa etsitään annetusta jonosta tiettyä merkkiä.
/// Tulostetaan montako löytyi.
/// </summary>
public class T1_KirjaintenMaara
{
    /// <summary>
    /// Pyydetään jono ja kysy
    /// </summary>
    /// <param name="args"></param>
    public static void Main(string[] args)
    {
        string jono = "Kissoja on sata kappaletta.";
        char etsittava = 's';
        int montako = LaskeKirjaimet(jono, etsittava);
         Console.WriteLine("\nKirjainta " + etsittava + " löytyi " + montako + " kpl.");
        Console.WriteLine($"Kirjainta löytyi {montako} kpl.");
    }

    /// <summary>
    /// Etsitään annettua merkkiä jonosta.
    /// Palautetaan kuinka monta ko. merkkiä löytyi.
    /// </summary>
    /// <param name="jono">Jono, josta merkkiä etsitään.</param>
    /// <param name="etsittava">Etsittävä merkki.</param>
    /// <returns>Kuinka monta etsittävää löytyi.</returns>
    /// <example>
    /// <pre name="test">
    /// LaskeKirjaimet("asdf", 'a') === 1;
    /// LaskeKirjaimet("fdsa", 'g') === 0;
    /// LaskeKirjaimet("    ", ' ') === 4;
    /// LaskeKirjaimet("Ritari", 'R') === 2;
    /// LaskeKirjaimet("Ritari ruttunen", 'R') === 3;
    /// LaskeKirjaimet("", 'b') === 0;
    /// </pre>
    /// </example>
    public static int LaskeKirjaimet(string jono, char etsittava)
    {
        int montako = 0;
        // Tapa 1: muutetaan alkuperäinen jono heti aluksi pienaakkosiksi
        // Vastaavasti etsittava-merkki muutetaan pieneksi.
        jono = jono.ToLower(); // Tämä muuttaa jono-muuttujan arvoa
        etsittava = Char.ToLower(etsittava); // Tämä muuttaa etsittava-muuttuja arvoa
        for (int i = 0; i < jono.Length; i++)
        {
            if (jono[i] == etsittava)
            {
                montako++;
            }
        }

        // Tapa 2: vertailtaessa yksittäisiä merkkejä (jonosta yksittäinen merkki)
        // tehdään kirjainten muunnos tässä. 
        // int montako = 0;
        // for (int i = 0; i < jono.Length; i++)
        // {
        //     if (char.ToLower(jono[i]) == char.ToLower(etsittava))
        //     {
        //         montako++;
        //     }
        // }
        return montako;
    }
}