using System;
using System.Text;

/// @author Antti-Jussi Lakanen
/// @version 2025
/// 
/// <summary>
/// Demo 7, tehtävä 2. Puun tulostus
/// </summary>
public class T2_Kolmio
{
    /// <summary>
    /// Funktion kutsu
    /// </summary>
    public static void Main()
    {
        string kolmio = LuoKolmio('@', 8);
        Console.WriteLine(kolmio);
    }

    /// <summary>
    /// Luo hieno kolmio
    /// </summary>
    /// <param name="merkki">Merkki, jolla kolmio piirretän</param>
    /// <param name="korkeus">Korkeus</param>
    /// <returns>Kolmio merkkijonona</returns>
    /// <example>
    /// <pre name="test">
    /// LuoKolmio('@', 3) === "@\n@@\n@@@\n";
    /// LuoKolmio('@', 1) === "@\n";
    /// LuoKolmio('#', 4) === "#\n##\n###\n####\n";
    /// LuoKolmio('#', 0) === "";
    /// </pre>
    /// </example>
    public static string LuoKolmio(char merkki, int korkeus)
    {
        StringBuilder kolmio = new StringBuilder();
        for (int i = 0; i < korkeus; i++)
        {
            for (int j = 0; j < i + 1; j++)
            {
                kolmio.Append(merkki);
            }
            kolmio.Append('\n');
        }
        return kolmio.ToString();
    }
}
